#!/bin/sh
#     PACץ졼ǡåο򻻽
#        2007.10.09  A.Kobayashi
#        2010/11/17  F.Hirose
#

# set parameters for tension factor in surface
tf=0.0

# set parameters for im and ii
im=0.02
ii=0.05

# set region
proje=-JM15
range=-R130/147/30/47
tick=-BWeNsa2

psfile=plate_PAC_mesh.ps
prm=./PAC_project.prm

# set file
FINP=PAC_plate.dat
FDEP=plate_depth.out
#FAZM=plate_azm.out
#FDIP=plate_dip.out

#  ǡimٴֳ֤ʿѲiiٴֳ֤ǳʻ
blockmedian $FINP $range -I$im > mean.xyz
surface mean.xyz -R -I$ii -T$tf -Gdata.grd -V
grd2xyz data.grd > $FDEP

#  ʻǡ鷹л ¦->90degû
#  ФZ(km)/XY(m)Τᡢ1000ܤatanrad->degѴ
#grdgradient data.grd -Stmpslope.grd -Dn -M -Gazim.grd -V
#grdmath tmpslope.grd 1000 MUL ATAN PI DIV 180 MUL = dip.grd
#grd2xyz azim.grd > $FAZM
#grd2xyz dip.grd > $FDIP

#  Ͽޤ
pscoast $proje $range $tick -Dh -G200 -W3 -X3 -Y5 -P -K > $psfile

#  󥿡
grdcontour data.grd $proje $range -C10 -A10 -O -K >> $psfile

awk 'NR<=2 {print $1,$2}' $prm |\
psxy $proje $range -W5/255/0/0 -O -K >> $psfile
awk 'NR<=2 {print $1,$2}' $prm |\
psxy $proje $range -Sa0.2 -G255/0/0 -W1 -O -K >> $psfile

pstext $proje $range -G0 -N -O -Y-1 <<EOF >> $psfile
130 30 10 0 0 5 PAC [Hirose et al.]
EOF

# ghostview $psfile
ggv $psfile
