c
c	*******************************************
c	*       ----- make_cross_data -----       *
c       *                                         *
c       *                  2010/11/09 by fuyuki_H *
c       *                                         *
c	*******************************************
c--
c--
	parameter (imax=1000000)
	parameter (jmax=1000)

	real      lat(imax),lon(imax),dep(imax)
	integer   i,j,k,l
	real      plat(jmax),plon(jmax),dist(jmax)

	integer   flag

!        character*80	infile1,infile2,infile3
        character*80	outfile

c-- inside
	real          dgr
        real          latin,lonin
        integer       index_in          ! 1=in 0=out
	real          px(4),py(4)
	integer       npoint

	open(10,file='plate_depth.out',status='old')
	open(11,file='project.out',status='old')

	open(20,file='cross_data.out',status='unknown')

!--- read data
	i=0
 150	continue
	i=i+1
	if (i.gt.imax) stop 'please change IMAX !'
	read(10,*,end=151) lon(i),lat(i),dep(i)
	go to 150
 151	continue
	j=i-1
	close(10)

!--- read data2
	i=0
 160	continue
	i=i+1
	if (i.gt.jmax) stop 'please change JMAX !'
	read(11,*,end=161) plon(i),plat(i),dist(i)
	go to 160
 161	continue
	k=i-1
	close(11)

!--
	do i=1,k
	  index_in=0
	  npoint=4
	  dgr=0.05
	   px(1)=plat(i)-dgr/2.0
	   py(1)=plon(i)-dgr/2.0
	   px(2)=plat(i)+dgr/2.0
	   py(2)=plon(i)-dgr/2.0
	   px(3)=plat(i)+dgr/2.0
	   py(3)=plon(i)+dgr/2.0
	   px(4)=plat(i)-dgr/2.0
	   py(4)=plon(i)+dgr/2.0

	  flag=0
	  do l=1,j
	   latin=lat(l)
	   lonin=lon(l)
          call inside(latin,lonin,px,py,npoint,index_in)
	   if(index_in.eq.1) then
	     write(20,100) plon(i),plat(i),dist(i),lon(l),lat(l),dep(l)
 100	     format(f8.4,1x,f7.4,1x,f7.2,2x,f8.4,1x,f7.4,1x,f7.2)
	     flag=1
	     go to 999
	   end if
	  end do
 999	continue
	 if(flag.eq.0) then
	   write(*,*) plon(i),plat(i),dist(i)
	   write(*,*) "Please reset"
	 end if
	end do

	close(20)
	end
